QGIS Application - Bug report #4125
Multilinestring -> linestring failure?
2011-08-01 08:05 AM - tmitchell -

Status: Closed

Priority: Normal

Assignee: cfarmer -

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: OSX Easy fix?:

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 14106
Description

Take the attached shapefile "Line.shp”, load it as a layer, select Vector-> Geometry Tools -> Multipart to Single parts. Choose "Line"
layer, select and output, select OK. The result, when confirmed with "ogrinfo -al" shows it's still multipart.

Am | expecting too much from the tool or is it a bug? | noticed the problem since | was using the great line->poly tool - which then created
polys for each multipart feature, a real mess with this file :)

Thanks for any help!

History

#1 - 2011-10-15 04:51 AM - Giovanni Manghi
- File single_shp.zip added

- Target version deleted (Version 1.7.0)

- Status changed from Open to Feedback

I have just tested and the result is a linestring for me (checked also with PostGIS). Please check and leave feedback.

#2 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-01-28 04:14 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master
- Resolution set to worksforme

Closing for lack of feedback. Reopen if necessary.

#4 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

line_shp.zip 84.6 KB 2011-08-01 tmitchell -

2025-04-26 12




single_shp.zip 82.3KB 2011-10-15 Giovanni Manghi

2025-04-26 22



